$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.164.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.164.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1FF5D0A5C503E9437FF20A40866F8C6FB2600318DDC7FD34D7C3BB30D46AE7BF'
  checksumType = 'sha256'
  checksum64 = '1FF5D0A5C503E9437FF20A40866F8C6FB2600318DDC7FD34D7C3BB30D46AE7BF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.164-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
